<script setup lang="ts">
  const props = withDefaults(
    defineProps<{
      as?: string | Component;
    }>(),
    {
      as: 'label',
    },
  );
</script>
<template>
  <Component
    :is="props.as"
    class="text-information-dark cursor-pointer select-none font-semibold peer-disabled:cursor-not-allowed"
    v-bind="$attrs"
  >
    <slot></slot>
  </Component>
</template>
